<?php
global $options;
foreach ($options as $value) {
    if (get_option( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; }
    else { $$value['id'] = get_option( $value['id'] ); }
}

global $afoptions;
foreach ($afoptions as $value) {
	if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }
}

?>
<?php get_header() ?>

	<div id="container">
		<div id="content">

<?php the_post(); ?>

			<div id="nav-above" class="navigation">
				<div class="nav-previous" style="height:170px;"><span class="meta-nav"><?php previous_image_link( false, '&larr;' ) ?></span></div>
				<div class="nav-next" style="height:170px;"><span class="meta-nav"><?php next_image_link( false, '&rarr;' ) ?></span></div>
			</div>

<?php get_sidebar('single-top') ?>

			<div id="post-<?php the_ID(); ?>" class="<?php thematic_post_class(); ?>">

				<div class="post-image-container">
					<span class="photo-credit">
					<?php global $id, $post;
						$imgmeta = wp_get_attachment_metadata($id, false); ?>
						<?php echo $imgmeta['image_meta']['credit']; ?>
					</span>
					<?php echo wp_get_attachment_image( $post->ID, 'single-post-thumbnail' ); ?>
				</div>

				<h2 class="entry-title"><?php the_title(); ?></h2>
				<div class="entry-meta">
					<span class="entry-date"><abbr class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>"><?php the_time('j M') ?></abbr></span>
					<span class="comments-link"><?php comments_popup_link(__('No comments', 'thematic'), __('1 Comment', 'thematic'), __('% Comments', 'thematic')) ?>.</span>
					<span class="cat-links"><?php printf(__('Filed under %s.', 'sandbox'), get_the_category_list(', ')) ?></span>
		    		<?php printf(__('<span class="bookmark">Bookmark the <a href="%1$s" title="Permalink to %2$s" rel="bookmark">permalink</a>.</span>', 'thematic'),
		    			get_permalink(),
		    			wp_specialchars(get_the_title(), 'double') ) ?>
		 
				    <?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) : //	Comments and trackbacks open ?>
				    		<?php printf(__('<span class="post-a-comment"><a class="comment-link" href="#respond" title="Post a comment">Post a comment</a>.</span> <span class="trackback">Leave a <a class="trackback-link" href="%s" title="Trackback URL for your post" rel="trackback">Trackback (URL)</a>.</span>', 'thematic'), get_trackback_url()) ?>
				    <?php elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) : //	Only trackbacks open ?>
				    		<?php printf(__('<span class="trackback">Comments are closed, but you can leave a trackback: <a class="trackback-link" href="%s" title="Trackback URL for your post" rel="trackback">Trackback URL</a>.</span>', 'thematic'), get_trackback_url()) ?>
				    <?php elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) : //	Only comments open ?>
				    		<?php printf(__('<span class="post-a-comment">Trackbacks are closed, but you can <a class="comment-link" href="#respond" title="Post a comment">post a comment</a>.</span>', 'thematic')) ?>
				    <?php elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) : //	Comments and trackbacks closed ?>
				    		<?php _e('<span class="post-a-comment">Both comments and trackbacks are currently closed.</span>') ?>
				    <?php endif; ?>
					<?php edit_post_link(__('Edit', 'thematic'), "\t\n\t\t\t\t\t<span class=\"edit-link\">", "</span>\n"); ?>
				</div>

				<div class="entry-content">
					<?php if ($af_show_exif_data == 'true') { ?>
						<?php grab_exif_data(); ?>
					<?php } ?>

					<h3><?php _e('Description', 'thematic'); ?></h3>
					<?php thematic_content(); ?>

					<?php wp_link_pages('before=<div class="page-link">' .__('Pages:', 'thematic') . '&after=</div>') ?>
				</div>
				<?php thematic_postfooter(); ?>
			</div><!-- .post -->
			
<?php get_sidebar('single-insert') ?>

			<div id="nav-below" class="navigation">
				<h3><a href="<?php echo get_permalink($post->post_parent); ?>" rev="attachment">&#x21A9; Back to article</a>.</h3>
			</div>


<?php thematic_comments_template(); ?>

<?php get_sidebar('single-bottom') ?>

		</div><!-- #content -->
	</div><!-- #container -->

<?php thematic_sidebar() ?>
<?php get_footer() ?>
