<?php
/*
	Template Name: Blog
*/
?>
<?php
	global $options;
	foreach ($options as $value) {
	    if (get_option( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; }
	    else { $$value['id'] = get_option( $value['id'] ); }
	} 
	
	global $afoptions;
	foreach ($afoptions as $afvalue) {
	    if (isset($afvalue['id']) && get_option( $afvalue['id'] ) === FALSE && isset($afvalue['std'])) { $$afvalue['id'] = $afvalue['std']; } 
	    elseif (isset($afvalue['id'])) { $$afvalue['id'] = get_option( $afvalue['id'] ); }
	}

    // calling the header.php
    get_header();

    // action hook for placing content above #container
    thematic_abovecontainer();

?>

	<div id="container">
		<div id="content">

            <?php
        
            // calling the widget area 'page-top'
            get_sidebar('page-top');

            the_post();
        
            ?>
            
                <?php 
                
                // creating the post header
                thematic_postheader();
                
                ?>
                
        <?php
        
//        if ( get_post_custom_values('comments') ) 
//            thematic_comments_template(); // Add a key/value of "comments" to enable comments on pages!
        
        // calling the widget area 'page-bottom'
        get_sidebar('page-bottom');
        
        ?>
			
			<?php 
            global $paged, $more;
			$more = 0;
            
            $af_blog_catid = get_cat_ID($af_blog_cat);
			$temp = $wp_query;
			$wp_query = null;
			$wp_query = new WP_Query();
			$wp_query->query('showposts='.get_option('posts_per_page').'&cat='.$af_blog_catid.'&paged='.$paged); ?>

            <?php thematic_navigation_above(); ?>
			
			<?php while ($wp_query->have_posts()) : $wp_query->the_post(); ?>

			<div id="post-<?php the_ID(); ?>" class="<?php thematic_post_class(); ?>">
				<h3 class="entry-title"><a href="<?php the_permalink() ?>" title="<?php printf(__('Permalink to %s', 'thematic'), wp_specialchars(get_the_title(), 1)) ?>" rel="bookmark"><?php the_title(); ?></a></h3>

				<div class="entry-meta blog">
					<span class="entry-date"><abbr class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>"><?php the_time('j M') ?></abbr></span>
					<?php echo thematic_postmeta_authorlink(); ?>
					<span class="cat-links"><?php printf(__('Filed under %s.', 'thematic'), get_the_category_list(', ')) ?></span>
					<span class="comments-link"><?php comments_popup_link(__('No comments.', 'thematic'), __('1 Comment.', 'thematic'), __('% Comments.', 'thematic'), '', '') ?></span>
					<?php edit_post_link(__('Edit', 'thematic'), "\t\n\t\t\t\t\t<span class=\"edit-link\">", "</span>\n"); ?>
				</div>

				<div class="entry-content">
<?php the_content(__(' Read More <span class="excerpt-arrow">&rarr;</span>', 'thematic')); ?>

<?php wp_link_pages('before=<div class="page-link">' .__('Pages:', 'thematic') . '&after=</div>') ?>
				</div>
				<?php thematic_postfooter(); ?>
			</div><!-- .post -->
            
            <?php endwhile; ?>
            
            <?php thematic_navigation_below(); ?>
            
            <?php $wp_query = null; $wp_query = $temp; ?>

		</div><!-- #content -->
	</div><!-- #container -->

<?php 

    // action hook for placing content below #container
    thematic_belowcontainer();

    // calling the standard sidebar 
    thematic_sidebar();
    
    // calling footer.php
    get_footer();

?>